unit Admin;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
   HTMLForm, StdCtrls, HTMLFormSection, ExtCtrls, HTMLHeader;

type
  TAdminForm = class(THTMLForm)
    HTMLHeader1: THTMLHeader;
    HTMLFormSection1: THTMLFormSection;
    Label1: TLabel;
    UsersBut: TButton;
    LogOffBut: TButton;
    RecreateTabBut: TButton;
    StatLab: TLabel;
    TeamsBut: TButton;
    GamesBut: TButton;
    Label3: TLabel;
    WeeksBut: TButton;
    PicksBut: TButton;
    PlayerWeekBut: TButton;
    GlobalsBut: TButton;
    Label2: TLabel;
    DeleteTabBut: TButton;
    Label4: TLabel;
    procedure LogOffButClick(Sender: TObject);
    procedure RecreateTabButClick(Sender: TObject);
    procedure UsersButClick(Sender: TObject);
    procedure TeamsButClick(Sender: TObject);
    procedure GamesButClick(Sender: TObject);
    procedure WeeksButClick(Sender: TObject);
    procedure PicksButClick(Sender: TObject);
    procedure PlayerWeekButClick(Sender: TObject);
    procedure GlobalsButClick(Sender: TObject);
    procedure DeleteTabButClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;


implementation

uses PoolGlobals, TableEdit;

{$R *.DFM}

procedure TAdminForm.LogOffButClick(Sender: TObject);
begin
   EndSession('Admin Logged Off');
end;

procedure TAdminForm.RecreateTabButClick(Sender: TObject);
begin
   Globals(self).PoolData.CreateTables;
   StatLab.Caption := 'Finished Creating Tables';
end;

procedure TAdminForm.UsersButClick(Sender: TObject);
begin
   with Globals(self) do begin
      TableEdit := PoolData.UserTable;
      PoolData.UserTable.First;
      ShowFormType(TTableEditForm);
   end;
end;

procedure TAdminForm.TeamsButClick(Sender: TObject);
begin
   with Globals(self) do begin
      TableEdit := PoolData.TeamsTable;
      PoolData.TeamsTable.First;
      ShowFormType(TTableEditForm);
   end;
end;

procedure TAdminForm.GamesButClick(Sender: TObject);
begin
   with Globals(self) do begin
      TableEdit := PoolData.GamesTable;
      PoolData.GamesTable.First;
      ShowFormType(TTableEditForm);
   end;
end;

procedure TAdminForm.WeeksButClick(Sender: TObject);
begin
   with Globals(self) do begin
      TableEdit := PoolData.WeeksTable;
      PoolData.WeeksTable.First;
      ShowFormType(TTableEditForm);
   end;
end;

procedure TAdminForm.PicksButClick(Sender: TObject);
begin
   with Globals(self) do begin
      TableEdit := PoolData.PicksTable;
      PoolData.PicksTable.First;
      ShowFormType(TTableEditForm);
   end;
end;

procedure TAdminForm.PlayerWeekButClick(Sender: TObject);
begin
   with Globals(self) do begin
      TableEdit := PoolData.PlayerWeeksTable;
      PoolData.PlayerWeeksTable.First;
      ShowFormType(TTableEditForm);
   end;
end;

procedure TAdminForm.GlobalsButClick(Sender: TObject);
begin
   with Globals(self) do begin
      TableEdit := PoolData.GlobalsTable;
      PoolData.GlobalsTable.First;
      ShowFormType(TTableEditForm);
   end;
end;

procedure TAdminForm.DeleteTabButClick(Sender: TObject);
begin
   Globals(self).PoolData.DeleteTables;
   StatLab.Caption := 'Finished Deleting Tables';
end;

end.
